﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SyncfusionMvcApplication22;
using System.Runtime.Serialization;
using Syncfusion.JavaScript.Shared.Serializer;
using System.ComponentModel.DataAnnotations;
using System.Web.UI.WebControls;


namespace SyncfusionMvcApplication22.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            ViewData["EmployeeID"] = EmployeeID;
            return View();
        }

        public class DMSerial : IDataSourceSerializer
        {
            public string Serialize(object obj)
            {
                var str = Newtonsoft.Json.JsonConvert.SerializeObject(obj);
                return str;
            }
        }

        public List<object> EmployeeID
        {

            get
            
            {
                var EmployeeID = new List<object>();
                Array itemNames = System.Enum.GetNames(typeof(UnitOfMeasure));
                foreach (String name in itemNames)
                {
                    Int32 value = (Int32)Enum.Parse(typeof(UnitOfMeasure), name);
                    ListItem listItem = new ListItem(name, value.ToString());
                    SerializeObject serialize = new SerializeObject();
                    var list = serialize.SerializeToJson(listItem.Text, listItem.Value);
                    EmployeeID.Add(new { value = listItem.Value, text = listItem.Text });
                }
                return EmployeeID;
            }
        }
        public class EmployeeDetails
        {
             [EnumDataType(typeof(UnitOfMeasure))]
            public UnitOfMeasure Unit { get; set; }
        }

        public enum UnitOfMeasure
        {
          
            Nr = 0,
     
            Kg = 1,
          
            g = 2,

            l = 3
        }
    }
}
